{  
    "compilerOptions": {  
    "target": "ES2017",
    "module": "CommonJS",
    "lib": [
      "esnext",
      "es2015",
      "es2017"
    ],
    "emitDecoratorMetadata": true,
    "experimentalDecorators": true,
    "removeComments": true,
    "strict": true,
    "strictPropertyInitialization": false,
    "noImplicitReturns": true,
    "noImplicitThis": false,
    "skipLibCheck": true,
    "allowSyntheticDefaultImports": true,
    "outDir": "dist",
    "rootDir": ".",
    "esModuleInterop": true,
    "forceConsistentCasingInFileNames": true,
    "resolveJsonModule": true,
    "isolatedModules": false,
    "noLib": false,
    "moduleResolution": "node",
    "baseUrl": "./src",
    "typeRoots": [
      "node_modules/@types",
      "src/types",
    ],
    "paths": {
      "@cache": ["./../src/cache/index.ts"],
      "@config": ["./../src/config/index.ts"],
      "@entity/*": ["./../src/db/entity/*"],
      "@core/*": ["./../src/core/*"],
      "@utils": ["./../src/utils/index.ts"],
      "@utils/*": ["./../src/utils/*"],
      "@routes/*": ["./../src/routes/*"],
      "@services/*": ["./../src/services/*"]
    },
    "types": ["node"],
    },  
    "include": [  
      "src/**/*.ts"  
    ],  
    "exclude": [  
      "node_modules", "dist"
    ]  
}  
  